Bug 489651 - onboot - mount: count not find filesystem '/dev/root' [NEEDINFO]
onboot - mount: count not find filesystem '/dev/root'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: devlabel (Show other bugs)
11
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-11 02:39 EDT by Tim Lock
Modified: 2010-06-28 07:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:26:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kzak: needinfo? (tlock)


Attachments (Terms of Use)

  None (edit)
Description Tim Lock 2009-03-11 02:39:10 EDT
Description of problem:

Thinkpad T41p FC11 Alpha using kernal 2.6.29-0.66.rc3.fc11.i586

First boot, setup manual eth0 config and then setup system eth0 config. I removed the manual eth0 config and froze.

Bootting now :-

2 logical volume(s) in voume group "VolGroup" now active
mount: count not find filesystem '/dev/root'

then Hangs

Using the rescue mode, verified that the device doesn't exist. Can alt-ctrl-del to reboot the laptop.

Version-Release number of selected component (if applicable):

FC11 Alpha

How reproducible:

Will do if not simple to restore via rescue mode.

Steps to Reproduce:
  
Actual results:


Expected results:


Additional info:
Comment 1 Manuel Suarez 2009-03-18 18:24:09 EDT
Same issue in a HP Compaq nx7300 with an existing windows partition.

I've made a default install in the free hard disk space and it doesn't boot with the same message.

I booted in rescue mode and I changed the option root=UUID=.... in /boot/grub/menu.lst

I put root=/dev/vg_myhostname/lv_root, made a grub-install /dev/sda and then it boots ok.
Comment 2 Russell Strong 2009-03-21 17:17:06 EDT
Same thing for a Dell Studio laptop.  Not on first boot however, but happens randomly about every 5 to 10 boots.
Comment 3 Bug Zapper 2009-06-09 08:07:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Karel Zak 2009-12-17 06:04:44 EST
Are you able to reproduce the problem on Fedora-12?

Note that this bug report is against 'devlabel' component, this package goes not exist in Fedora.
Comment 5 Bug Zapper 2010-04-27 09:09:38 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 07:26:44 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.